% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function imagen=creaimagen(datos)

imagen=[];

%Filas y Columnas de Imagen
filas=max(datos(:,1));
columnas=max(datos(:,2));

%Guarda sólo magnitud de datos
imagen=datos(:,3);

%construye matriz imagen
imagen=reshape(imagen,columnas,filas)';

%Invierte Imagen
imagen=imagen(end:-1:1,:);

